//**********************************************************************//
//									//
//	graveyard.shader for Q3Radiant					//
//	by Sock - 7th February 2001					//
//									//
//**********************************************************************//

textures/graveyard/grave_skybox
{
	qer_editorimage textures/graveyard/grave_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 35
	surfaceparm sky
	q3map_sun 0.934 0.956 1.00 75 0 50
	skyparms textures/graveyard/env/graveyard/grave - -
}

textures/graveyard/mist1
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	q3map_surfacelight 100
	fogparms ( .434 .456 0.500 ) 4800

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}


textures/_icyhell/lavina
{
 qer_editorimage textures/_icyhell/lava1.jpg
 q3map_globaltexture
 surfaceparm trans 
 surfaceparm noimpact
 surfaceparm nodamage
 q3map_surfacelight 350
 cull disable 
 tesssize 64
 cull disable
 deformVertexes wave 96 sin 4 8 0.15 0.3 
        {
  map textures/_icyhell/lava1.jpg
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
 }
}

textures/_icyhell/portal
{
 qer_editorimage textures/_icyhell/nether.jpg
 q3map_globaltexture
 surfaceparm trans
 surfaceparm water 
 surfaceparm noimpact
 surfaceparm nodamage
 q3map_surfacelight 350
 cull disable 
 tesssize 64
 cull disable
 deformVertexes wave 96 sin 1 3 0.15 0.2 
        {
  map textures/_icyhell/nether.jpg
                tcmod scale 0.2 0.1
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
 }
}

// Direction & elevation checked and adjusted - Speaker

textures/skies/nec_night
{
	qer_editorimage textures/skies/nec_night/night_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 50
	q3map_sun 1 1 1 70 0 90
	skyparms textures/skies/env/nec_night/night - -
}

textures/_icyhell/icy
{
qer_editorimage textures/_icyhell/icy.jpg
surfaceparm slick
surfaceparm nodamage
{
map textures/_icyhell/icy.jpg
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/_icyhell/rocapared
{
qer_editorimage textures/_icyhell/rocapared.jpg
surfaceparm slick
surfaceparm nodamage
{
map textures/_icyhell/rocapared.jpg
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/_icyhell/floor
{
qer_editorimage textures/_icyhell/floor.jpg
surfaceparm nodamage
{
map textures/_icyhell/floor.jpg
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/_icyhell/playerclip
{
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
}


